<template>
    <div :class="curClassName" :style="curStyle">
        <tab-page-exp></tab-page-exp>
    </div>
</template>
<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";

@Component({})
export default class AppIndexNavTabs extends Vue {

    /**
     * 名称
     *
     * @type {string}
     * @memberof AppIndexNavTabs
     */
    @Prop() public name!: string;

    /**
     * 布局模型详情
     *
     * @type {*}
     * @memberof AppIndexNavTabs
     */
    @Prop() public layoutModelDetails: any;

    /**
     * 下标
     *
     * @type {number}
     * @memberof AppIndexNavTabs
     */
    @Prop() public index?: number;

    /**
     * 项名称
     *
     * @type {*}
     * @memberof AppIndexNavTabs
     */
    get itemName() {
        return (this.index || this.index === 0) ? `${this.name}_${this.index}` : this.name;
    }

    /**
     * 当前容器类名
     *
     * @memberof AppIndexNavTabs
     */
    get curClassName() {
        const layoutModel = this.layoutModelDetails[this.itemName];
        if (layoutModel) {
            return `app-index-nav-tabs ${this.itemName} ${layoutModel.sysCss}`;
        }
    }

    /**
     * 当前容器样式
     *
     * @memberof AppIndexNavTabs
     */
    get curStyle() {
        const layoutModel = this.layoutModelDetails[this.itemName];
        if (layoutModel) {
            return layoutModel.getElementStyle();
        }
    }

}
</script>
<style lang='scss'>
@import './app-index-nav-tabs.scss';
</style>